Ticket #46551

gtk: help_hyperlink_callback() 'type' may used uninitialized

Open Date: 2023-01-20 10:06 Last Update: 2023-01-25 11:35

Reporter:
Owner:
Type:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
3

Details

help_hyperlink_callback() variable 'type' is currently set by BAD_HEURISTIC_INIT(). Unfortunately such bad compiler heuristics apply on testing setups where BAD_HEURISTIC_INIT() does nothing (intentionally, to reveal these cases).

Ticket History (3/6 Histories)

2023-01-20 10:06 Updated by: cazfi
  • New Ticket "gtk: help_hyperlink_callback() 'type' may used uninitialized" created
2023-01-21 01:01 Updated by: cazfi
  • Owner Update from (None) to cazfi
  • Resolution Update from None to Accepted
2023-01-25 11:35 Updated by: cazfi
  • Status Update from Open to Closed
  • Resolution Update from Accepted to Fixed

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login